# $Revision: 1.24 $, $Date: 2010/07/08 08:09:27 $
# TODO:
# - split into subpackages
#

%define		module	egenix-mx-experimental
%define		mxdir	%{py_sitedir}/mx

Summary:	eGenix mx-Extensions - EXPERIMENTAL package
Summary(pl.UTF-8):	eGenix mx-Extensions - pakiet EKSPERYMENTALNY
Name:		python-%{module}
Version:	0.7.0
Release:	8
License:	Copyright (c) 2000-2001, eGenix.com Software GmbH, All Rights Reserved (partly only for non-comercial use)
Group:		Libraries/Python
Source0:	http://www.egenix.com/files/python/%{module}-%{version}.tar.gz
# Source0-md5:	1cfedef4f3582ed72857afb2c567207e
URL:		http://www.lemburg.com/files/python/eGenix-mx-Extensions.html
BuildRequires:	gmp-devel
BuildRequires:	mpfr-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python-egenix-mx-base
%pyrequires_eq	python-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The eGenix mx Extension Series are a collection of Python extensions
written in ANSI C and Python which provide a large spectrum of useful
additions to everyday Python programming.

This package includes experimental subpackages of the series. Please
understand that the software in these packages is still in alpha state
and does not meet the quality standards of production quality
software.

This software is brought to you by eGenix.com. The included
subpackages are either covered by the eGenix.com Public License or the
eGenix.com Commercial License and/or other licenses. Please check the
subpackage documentation for details or contact eGenix.com for more
license information.

%description -l pl.UTF-8
Kolekcja rozszerzeń dla języka Python napisana w ANSI C i Pythonie
dodająca szerokie spektrum użytecznych rozszerzeń dla programowania w
języku Python.

Ten pakiet zawiera eksperymentalne podpakiety z serii. Proszę mieć na
uwadze że oprogramowanie w tych pakietach jest ciągle w stanie alfa i
nie spełnia wymagań opgrogramowania w wersji produkcyjnej.

To oprogramowanie jest dostarczone przez eGenix.com. Załączone pakiety
są udostępniane przy użyciu eGenix.com Public License albo eGenix.com
Commercial License albo pod innymi licencjami. Należy sprawdzić
licencje dla poszczególnych podpakietów bądź skontaktować się z eGenix
bezpośrednio w tej sprawie.

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README mx/Number/Doc mx/Tidy/Doc mx/UID/Doc mx/URL/Doc

%dir %{mxdir}/Number
%dir %{mxdir}/Number/mxNumber
%attr(755,root,root) %{mxdir}/Number/mxNumber/*.so
%{mxdir}/Number/*.py[co]
%{mxdir}/Number/mxNumber/*.py[co]

%dir %{mxdir}/Tidy
%dir %{mxdir}/Tidy/mxTidy
%attr(755,root,root) %{mxdir}/Tidy/mxTidy/*.so
%{mxdir}/Tidy/*.py[co]
%{mxdir}/Tidy/mxTidy/*.py[co]

%dir %{mxdir}/UID
%dir %{mxdir}/UID/mxUID
%attr(755,root,root) %{mxdir}/UID/mxUID/*.so
%{mxdir}/UID/*.py[co]
%{mxdir}/UID/mxUID/*.py[co]

%dir %{mxdir}/URL
%dir %{mxdir}/URL/mxURL
%attr(755,root,root) %{mxdir}/URL/mxURL/*.so
%{mxdir}/URL/*.py[co]
%{mxdir}/URL/mxURL/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-egenix-mx-experimental.spec,v $
Revision 1.24  2010/07/08 08:09:27  arekm
- release 8

Revision 1.23  2010/06/15 21:30:09  pluto
- release 7 (rebuild with mpfr-3.0.x)

Revision 1.22  2010/06/15 21:28:24  pluto
- BR: mpfr-devel.

Revision 1.21  2010/05/12 19:50:57  sparky
- BR: gmp-devel, python, python-devel, python-modules, rpm-pythonprov

Revision 1.20  2010/03/29 07:09:24  arekm
- release 6

Revision 1.19  2008/10/03 17:49:12  arekm
- release 5

Revision 1.18  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.16  2005/01/09 17:50:24  saq
- missing pyreqeq, release 4

Revision 1.15  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.14  2004/08/18 11:05:42  domelu
- rel 3

Revision 1.13  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.12  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.11  2003/12/01 23:44:13  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.10  2003/06/29 14:49:41  blues
- cosmetics

Revision 1.9  2003/06/12 11:30:59  matkor
- Typo. ( python-module -> python-%{module}. Release 1.

Revision 1.8  2003/05/28 13:01:29  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:26:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2002/10/16 09:14:03  qboosh
- description -l pl, not (pl)

Revision 1.5  2002/10/16 09:12:47  qboosh
- typo, cosmetics

Revision 1.4  2002/10/16 09:09:07  wrobell
- added todo

Revision 1.3  2002/10/16 09:08:09  wrobell
- fixed python dynamic modules file permissions

Revision 1.2  2002/10/16 09:06:15  wrobell
- removed dumb macros
- fixed python modules installation
- added missing directories to file list
- file list is organized properly, now
- adapterized

Revision 1.1  2002/10/14 23:25:58  matkor
- Version 0.7.0
- My first spec ever. Sb sesnsible pls check & bump release to 1. TIA
